Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.server.impl
Class BasicServer

    java.lang.Object
      org.openxri.config.impl.AbstractComponent
          org.openxri.server.impl.AbstractServer
              org.openxri.server.impl.BasicServer

All Implemented Interfaces:
  java.io.Serializable, Component, Server

Direct Known Subclasses:
  TrustedServer

    public class BasicServer

extends AbstractServer

A basic server class that lets the AbstractServer look up authorities, retrieve their static information, and execute the appropriate LOKOUP pipeline.

Author:
  =peacekeeper
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.openxri.server.impl.AbstractServer
`log, store`

Fields inherited from class org.openxri.config.impl.AbstractComponent
`properties`

Constructor Summary
`BasicServer(java.util.Properties properties)`

Method Summary
`protected void` | `finishXRD(XRD xrd, Authority parentAuthority, SubSegment subSegment, Authority authority, boolean signed)` Called before the server adds the XRD to the XRDS and moves on to the next authority.
`protected void` | `finishXRDS(XRDS xrds, java.lang.String query, boolean signed)` Called before the XRDS is sent out by the server.
`void` | `init()` Initialize base-class attributes from configuration.
`protected boolean` | `initXRD(XRD xrd, Authority parentAuthority, java.lang.String subSegmentName, boolean signed)` Called before anything is added to a fresh XRD.
`protected boolean` | `initXRDS(XRDS xrds, java.lang.String query, boolean signed)` Called before the server starts processing the request.

Methods inherited from class org.openxri.server.impl.AbstractServer
`lookupByNamespace, lookupByPath, lookupSelfDescribing, makeExceptionXrd, makeNotFoundXrd`

Methods inherited from class org.openxri.config.impl.AbstractComponent
`getProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openxri.config.Component
`getProperties`

Constructor Detail

### BasicServer

    public BasicServer(java.util.Properties properties)

Method Detail

### init

    public void init()

  Description copied from class: `AbstractServer`
  Initialize base-class attributes from configuration.

  Specified by:
    `init` in interface `Component`
  Overrides:
    `init` in class `AbstractServer`

### initXRDS

    protected boolean initXRDS(XRDS xrds,
                               java.lang.String query,
                               boolean signed)
                        throws ServerInternalException

  Description copied from class: `AbstractServer`
  Called before the server starts processing the request.

  Specified by:
    `initXRDS` in class `AbstractServer`
  Parameters:
    `xrds` - - A blank XRDS which we will complete.
    `query` - - The original XRI segment for which the request was made.
    `signed` - - Whether we are expected to return a signed descriptor.
  Returns:
    If true, the AbstractServer will not add anything to the XRDS and send it out immediately.
  Throws:
    `ServerInternalException`

### initXRD

    protected boolean initXRD(XRD xrd,
                              Authority parentAuthority,
                              java.lang.String subSegmentName,
                              boolean signed)
                       throws ServerInternalException

  Description copied from class: `AbstractServer`
  Called before anything is added to a fresh XRD.

  Specified by:
    `initXRD` in class `AbstractServer`
  Parameters:
    `xrd` - - A blank XRD which we will fill.
    `parentAuthority` - - The authority describing this XRD.
    `subSegmentName` - - The name of the subsegment to be resolved.
    `signed` - - Whether we are expected to return a signed descriptor.
  Returns:
    If true, the AbstractServer will append the XRD to the XRDS and return it without any further processing.
  Throws:
    `ServerInternalException`

### finishXRD

    protected void finishXRD(XRD xrd,
                             Authority parentAuthority,
                             SubSegment subSegment,
                             Authority authority,
                             boolean signed)
                      throws ServerInternalException

  Description copied from class: `AbstractServer`
  Called before the server adds the XRD to the XRDS and moves on to the next authority. This method should be prepared to handle a null XRD.

  Specified by:
    `finishXRD` in class `AbstractServer`
  Parameters:
    `xrd` - - A filled XRD ready to be appended to the XRDS.
    `parentAuthority` - - The authority describing this XRD.
    `subSegment` - - The subsegment leading to this XRD.
    `authority` - - The authority described by this XRD.
    `signed` - - Whether we are expected to return a signed descriptor.
  Throws:
    `ServerInternalException`

### finishXRDS

    protected void finishXRDS(XRDS xrds,
                              java.lang.String query,
                              boolean signed)
                       throws ServerInternalException

  Description copied from class: `AbstractServer`
  Called before the XRDS is sent out by the server.

  Specified by:
    `finishXRDS` in class `AbstractServer`
  Parameters:
    `xrds` - - The XRDS filled with all XRDs.
    `query` - - The original XRI segment for which the request was made.
    `signed` - - Whether we are expected to return a signed descriptor.
  Throws:
    `ServerInternalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.